SystemOrganization addCategory: #'System-Support-SystemSettings'!

Object subclass: #SystemSupportSystemSettings
	instanceVariableNames: ''
	classVariableNames: 'SoundEnabled UseThemeSounds'
	poolDictionaries: ''
	category: 'System-Support-SystemSettings'!

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/15/2009 10:07'!
SystemSettingOn: aBuilder
	<systemsettings>
	(aBuilder group: #pharoSystem)
		label: 'System' translated;
		description: 'General system settings' translated;
		with: [
			(aBuilder setting: #serverMode)
				label: 'Server mode' translated;
				target: WorldState;
				description: 'If enabled, then each main rendering loop will always wait a complete delay of 50ms' translated.
			(aBuilder setting: #checkSourcesFileAvailability)
				label: 'Check sources file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no sources file can be found.' translated.
			(aBuilder setting: #checkChangesFileAvailability)
				label: 'Check changes file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no changes file can be found.' translated.
			(aBuilder setting: #useLocale)
				label: 'Use locale' translated;
				target: Locale;
				selector: #activated;
				description: 'Use the system locale to set the system language at startup.' translated]
! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/14/2009 13:17'!
authorSettingOn: aBuilder
	<systemsettings>
	(aBuilder setting: #authorFullName)
		order: -100000;
		parent: #codeEditing;
		label: 'Author identification';
		target: Author;
		selector: #fullName;
		notInStyle;
		default: '';
		ghostHelp: 'Vincent van Gogh -> VincentVanGogh';
		description: 'Your fullname without any space, accent, dashe, underscore and similar characters. 
It will be used to sign the changes you make to the image.
As examples:
	Vincent van Gogh -> VincentVanGogh
	Miguel Cob -> MiguelCoba
	Gran Krampe -> GoranKrampe
	Gran Krampe -> GoeranKrampe
	Stphane DUCASSE -> StephaneDucasse
	Yoshiki Oshima -> YoshikiOshima'
! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:12'!
soundSettingsOn: aBuilder
	<systemsettings>
	(aBuilder setting: #soundEnabled)
		label: 'Sound'; 
		target: SoundSettings;
		parent: #appearance;
		noOrdering;
		with: [
			(aBuilder setting: #useThemeSounds)
				label: 'Use theme sounds';
				with: [
					(aBuilder pickOne: #soundThemeClass)
						label: 'Sound theme' translated;
						target: self;
						domainValuesGetter: (MessageSend receiver: self selector: #soundThemeClassChoices).
				]]! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:12'!
soundThemeClass
	^ SoundTheme current class
! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:15'!
soundThemeClass: aSoundThemeClass
	aSoundThemeClass ifNil: [^ self].
	self soundThemeClass ~= aSoundThemeClass
		ifTrue: [aSoundThemeClass beCurrent]! !

!SystemSupportSystemSettings classSide methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/10/2009 16:12'!
soundThemeClassChoices
	^ SoundTheme allThemeClasses collect: [:c | c themeName -> c]! !
